JKL
===

Version: `1.1.1`

JKL is a simple, modern theme with great fonts (Volkhov and Source Sans Pro) developed by Aaron Snowberger specifically for http://justkeeplearning.xyz

![screenshot](https://cloud.githubusercontent.com/assets/6644259/20467043/3b7b8b5e-afc2-11e6-9ccb-bc44b765ef1a.png)

## Features

### Post and Page Excerpts

Pages also have the ability to have excerpts as Posts do by default. This is because they are styled as a featured lead-in section of text before the auto and publication metadata. Simply add an excerpt to a Post or Page and watch the magic happen.

### Customizer Options

1. Custom colors
2. Custom logo and favicon
3. Header background color
4. Header text color
5. Optional Header image
6. Sidebar position: left, right, none (default) - this is also customizable on individual Pages

### Featured Images

Featured Images default to take the place of the Header Image on any page as well as show up below the Post meta within the main content. In a later version, the Featured Image in this section may be able to be replaced with embedded media or turned off.

### Widget Areas

1. Sidebar
2. Footer

### Blockquotes

Blockquotes can be aligned left or right (in a similar way that images are) using the `"alignleft"` or `"alignright"` classes.

### Post Formats

1. Aside - only styled with a date (no title)
2. Audio - highlights the featured audio above the Post content
3. Chat - each paragraph is presented as a dialogue bubble (use blockquote for plain text)
4. Gallery - highlights 3 layered gallery pictures and the count of number of pictures in the galleries
5. Image - highlights the Featured Image (or first image) prominently
6. Link - grabs a screenshot from the first link and features it prominently
7. Quote - oversized blockquote on a dark background (with Featured Image as background)
8. Status - styled to look slightly like a Twitter update
9. Video - highlights the featured video above the Post content

### Custom Page Templates

1. Sidebar Left
2. Sidebar Right
3. No sidebar (narrow width)
4. No sidebar (full width)

## Development Roadmap

1. Add taxonomy dropdown capability for long lists of Categories or Tags
2. Add Customizer option to control this
3. Colorize (to identify) code headings created by Prism.js

### License

JKL WordPress Theme, Copyright (C) 2016 Aaron Snowberger
JKL is distributed under the terms of the GNU GPL Open Source license

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see http://www.gnu.org/licenses/gpl-2.0.html.

JKL WordPress Theme is derived from Underscores WordPress Theme, Copyright (c) 2015 by Automattic, Inc.
Underscores WordPress Theme is distributed under the terms of the GNU GPL

JKL WordPress Theme incorporates code from TwentyFourteen WordPress Theme, Copyright (c) 2014 by Automattic, Inc.
Fred WordPress Theme is distributed under the terms of the GNU GPL

JKL WordPress Theme bundles the following third-party resources:

Foundation for Sites Framework v6.1.2
* Copyright (c) 2016 by ZURB - https://foundation.zurb.com
* License: MIT, http://www.opensource.org/licenses/mit-license.html

Source Sans Pro font
* Copyright (c) by Paul D. Hunt - https://fonts.google.com/specimen/Source+Sans+Pro
* License: SIL OFL 1.1, https://opensource.org/licenses/OFL-1.1

Source Code Pro font
* Copyright (c) by Paul D. Hunt - https://fonts.google.com/specimen/Source+Code+Pro
* License: SIL OFL 1.1, https://opensource.org/licenses/OFL-1.1

Volkhov font
* Copyright (c) by Ivan Petrov - https://fonts.google.com/specimen/Volkhov
* License: SIL OFL 1.1, https://opensource.org/licenses/OFL-1.1

Font Awesome v4.5.0
* Copyright (c) by @davegandy - http://fontawesome.io - @fontawesome
* Licenses http://fontawesome.io/license
  * Font: SIL OFL 1.1, https://opensource.org/licenses/OFL-1.1
  * CSS: MIT License, http://www.opensource.org/licenses/mit-license.html

Prism.js syntax highlighter
* Copyright (c) 2012 by Lea Verou - http://prismjs.com/index.html
* License: MIT, http://www.opensource.org/licenses/mit-license.html

Images used in the screenshot:
* Image Unicorn (site icon) : CC0 by WordPress Theme Demo content, https://wpthemetestdata.files.wordpress.com/2012/12/unicorn-wallpaper.jpg
* Image Beach at Big Sur, CA (header) : Copyright public domain by Jaycee Barratt, http://www.burningwell.org/gallery2/v/Landscapes/ocean/michelle_049.jpg.html

## Changelog

### 1.1.1 - Nov 25 2016
* Escape infinity link permalinks
* Remove unnecessary Foundation files
* Remove Foundation CSS from editor styles

### 1.1.0 Nov 20 2016
* Add styling for Post Formats: Audio, Video, Quote, Status, Link, Gallery, Image
* Add developer functions for retrieving the main audio, video, blockquote, link screenshot, gallery and gallery image count
* Update Font Awesome to v.4.7.0
* Clean up code - unnecessary code comments
* Clean up code - add additional code documentation
* Clean up code - remove taxonomy dropdowns (for now)
* Separate Pings from Comments

### 1.0.8 Nov 4 2016
* Clean up code - for Theme repository
* Add explicit license details
* Remove unused files and lines of code
* Properly escape all output
* Update Prism.js syntax highlighter

### 1.0.7 Aug 19 2016
* Fix dropdown menus

### 1.0.6 Aug 16 2016
* Fix Header Image
* Add support for Custom Logo
* Minor code cleanup for WordPress.org

### 1.0.5 Apr 11 2016

* Add Prism syntax highlighting
* Add Post Format Aside and Chat styling
* Add Page templates
* Finalize Customizer Options
* Add editor styles
* Clean up CSS styles and formatting

### 1.0.0 Feb 27 2016

* Initial release
